namespace Silk_Road_Api.Repositories;

public interface IManufacturerRepository : IRepository
{
    public IQueryable<Manufacturer> GetManufacturers();
    public Task<Manufacturer> GetManufacturer(int id);
    public Task<int> GetManufacturerByName(string name);
    public Task<int> ExecuteCount(IQueryable<Manufacturer> query);
    public void GenerateManufacturers(int n = 5);
}
